local m = {} -- <<< Don't touch this!
-----------[ SETTINGS ]---------------------------------------------------

-- Delay in minutes between messages
m.delay = 10

-- Prefix appears in front of each message. 
-- Suffix appears on the end of each message.
-- Leave a prefix/suffix empty ( '' ) to disable them.
m.prefix = '^6[INFORMATII UTILE] '
m.suffix = '^6.'

-- You can make as many messages as you want.
-- You can use ^0-^9 in your messages to change text color.
m.messages = {   
    'stiai ca :/ooc pentru a scrie pe chat?',
    'stiai ca: Showroom Sunt detitunte de anumiti jucatori?',
    'stiai ca: Sa cumperi o masina trebuie sa vorbesti cu proprietarul de la showroom ?',
    'stiai ca: Poti lua ostatici si NPC-urile daca ai o arma ?',
    'stiai ca: Poti sa aduni obiecte de la npc-uri atunci cand le omori cu o arma?',
    'stiai ca: Poti sa ne urmaresti pe TikTok : blazebound5 ?',
    'stiai ca: Drogurile le poti vinde direct la NPC folosind cmd  /dealer ?',
    'stiai ca: Poti sa scazi stresul fumand tigari sau mirosind chilotei?',
    'stiai ca: Poti sa iti mobilezi propria casa cumparand mobila de la IKEA?',
    'stiai ca: Poti sa folosesti ApplePhone apasand pe tasta F1?',
    'stiai ca: Poti sa deschizi inventarul apasand tasta I?',
    'stiai ca: Poti sa iti salvezi outfit-uri diferite la magazinul de haine ?',

    
}

-- Player identifiers on this list will not receive any messages.
-- Simply remove all identifiers if you don't want an ignore list.
m.ignorelist = { 
    'ip:127.0.1.5',
    'steam:123456789123456',
    'license:1654687313215747944131321',
}
--------------------------------------------------------------------------


















-----[ CODE, DON'T TOUCH THIS ]-------------------------------------------
local playerIdentifiers
local enableMessages = true
local timeout = m.delay * 1000 * 60 -- from ms, to sec, to min
local playerOnIgnoreList = false
RegisterNetEvent('va:setPlayerIdentifiers')
AddEventHandler('va:setPlayerIdentifiers', function(identifiers)
    playerIdentifiers = identifiers
end)
Citizen.CreateThread(function()
    while playerIdentifiers == {} or playerIdentifiers == nil do
        Citizen.Wait(1000)
        TriggerServerEvent('va:getPlayerIdentifiers')
    end
    for iid in pairs(m.ignorelist) do
        for pid in pairs(playerIdentifiers) do
            if m.ignorelist[iid] == playerIdentifiers[pid] then
                playerOnIgnoreList = true
                break
            end
        end
    end
    if not playerOnIgnoreList then
        while true do
            for i in pairs(m.messages) do
                if enableMessages then
                    chat(i)
                    print('[vAnnouncer] Message #' .. i .. ' sent.')
                end
                Citizen.Wait(timeout)
            end
            
            Citizen.Wait(0)
        end
    else
        print('[vAnnouncer] Player is on ignorelist, no announcements will be received.')
    end
end)
function chat(i)
    TriggerEvent('chatMessage', '', {255,255,255}, m.prefix .. m.messages[i] .. m.suffix)
end
RegisterCommand('automessage', function()
    enableMessages = not enableMessages
    if enableMessages then
        status = '^2enabled^5.'
    else
        status = '^1disabled^5.'
    end
    TriggerEvent('chatMessage', '', {255, 255, 255}, '^5[vAnnouncer] automessages are now ' .. status)
end, false)
--------------------------------------------------------------------------
